package service

type BranchMaster struct {
	BranchCode                string      `json:"branch_code"`
	BranchType                string      `json:"branch_type"`
	RevenueNo                 string      `json:"revenue_no"`
	BranchnameEn              string      `json:"branchname_en"`
	BranchnameTh              string      `json:"branchname_th"`
	BranchModel               string      `json:"branch_model"`
	DcCode                    string      `json:"dc_code"`
	Coordinates               string      `json:"coordinates"`
	DisplaceFromDc            string      `json:"displace_from_dc"`
	NearbyPoi                 string      `json:"nearby_poi"`
	BranchStatus              string      `json:"branch_status"`
	EstimateOpenDate          interface{} `json:"estimate_open_date"`
	ConfirmedOpenDate         string      `json:"confirmed_open_date"`
	Openingdate               string      `json:"openingdate"`
	Contractsenddate          interface{} `json:"contractsenddate"`
	CloseDate                 interface{} `json:"close_date"`
	Remarks                   interface{} `json:"remarks"`
	Province                  string      `json:"province"`
	District                  string      `json:"district"`
	Subdistrict               string      `json:"subdistrict"`
	Address                   string      `json:"address"`
	Contact                   string      `json:"contact"`
	ExtensionNo3Cx            string      `json:"extension_no_3cx"`
	F1Ticket                  interface{} `json:"f1_ticket"`
	ForemanName               interface{} `json:"foreman_name"`
	ForemanPhone              interface{} `json:"foreman_phone"`
	BranchEmail               string      `json:"branch_email"`
	AmName                    string      `json:"am_name"`
	AmEmail                   string      `json:"am_email"`
	AmPhone                   string      `json:"am_phone"`
	AmTeamCode                string      `json:"am_team_code"`
	AmTeamName                string      `json:"am_team_name"`
	Am2Name                   interface{} `json:"am2_name"`
	Am2Email                  interface{} `json:"am2_email"`
	Am2Phone                  interface{} `json:"am2_phone"`
	OcName                    string      `json:"oc_name"`
	OcEmail                   string      `json:"oc_email"`
	OcPhone                   string      `json:"oc_phone"`
	Halal                     interface{} `json:"halal"`
	Myanmar                   interface{} `json:"myanmar"`
	Laos                      interface{} `json:"laos"`
	Cambodia                  interface{} `json:"cambodia"`
	RenovateBranchModel       interface{} `json:"renovate_branch_model"`
	RenovateOpeningdate       interface{} `json:"renovate_openingdate"`
	CreateDate                string      `json:"create_date"`
	UpdateDate                string      `json:"update_date"`
	BranchnewStatus           string      `json:"branchnew_status"`
	Statusmaster              string      `json:"statusmaster"`
	Sitecode                  string      `json:"sitecode"`
	NsIdx                     string      `json:"ns_idx"`
	SaStaff                   string      `json:"sa_staff"`
	SaTeam                    interface{} `json:"sa_team"`
	Cluster                   string      `json:"cluster"`
	Assortmenttype            string      `json:"assortmenttype"`
	Occupation1Km             interface{} `json:"occupation1km"`
	SitecodeNs                string      `json:"sitecode_ns"`
	SitecodeRn                interface{} `json:"sitecode_rn"`
	Alc                       string      `json:"alc"`
	Welfare                   string      `json:"welfare"`
	SalesfctSa                interface{} `json:"salesfct_sa"`
	SalesfctQa                interface{} `json:"salesfct_qa"`
	SalesfctKm                interface{} `json:"salesfct_km"`
	Cjformat                  string      `json:"cjformat"`
	Cjformatnote              string      `json:"cjformatnote"`
	Nfloor                    interface{} `json:"nfloor"`
	Urldrawingforpermit       interface{} `json:"urldrawingforpermit"`
	Meeting3                  interface{} `json:"meeting3"`
	Foundationdate            interface{} `json:"foundationdate"`
	FirstEstimatedOpendate    interface{} `json:"first_estimated_opendate"`
	OpeningNote               string      `json:"opening_note"`
	Targetmonth               interface{} `json:"targetmonth"`
	Targetyear                interface{} `json:"targetyear"`
	Salesareaformat           string      `json:"salesareaformat"`
	Salesareatotal            string      `json:"salesareatotal"`
	Moresalesareatotal        interface{} `json:"moresalesareatotal"`
	Stockarea                 interface{} `json:"stockarea"`
	Stocknote                 interface{} `json:"stocknote"`
	ParkingspaceM2            interface{} `json:"parkingspace_m2"`
	AlcAllowed                interface{} `json:"alc_allowed"`
	SaURL                     interface{} `json:"sa_url"`
	Plan                      interface{} `json:"plan"`
	Branchtype                string      `json:"branchtype"`
	PlanApproved              interface{} `json:"plan_approved"`
	PlanOriginalfile          interface{} `json:"plan_originalfile"`
	Latestupdatetimestamp     string      `json:"latestupdatetimestamp"`
	Createtimestampstorecode  string      `json:"createtimestampstorecode"`
	Postcode                  string      `json:"postcode"`
	StreetAddress             string      `json:"street_address"`
	LocationCode              string      `json:"location_code"`
	OcCode                    string      `json:"oc_code"`
	AmCode                    string      `json:"am_code"`
	Am2Code                   interface{} `json:"am2_code"`
	Region                    string      `json:"region"`
	NearbyCluster             interface{} `json:"nearby_cluster"`
	Ismore200K                interface{} `json:"ismore200k"`
	Allprocessupdatetimestamp string      `json:"allprocessupdatetimestamp"`
	DbtScdID                  string      `json:"dbt_scd_id"`
	DbtUpdatedAt              string      `json:"dbt_updated_at"`
	DbtValidFrom              string      `json:"dbt_valid_from"`
	DbtValidTo                interface{} `json:"dbt_valid_to"`
	CreatedAt                 string      `json:"created_at"`
	CreatedBy                 interface{} `json:"created_by"`
	UpdatedAt                 string      `json:"updated_at"`
	UpdatedBy                 interface{} `json:"updated_by"`
}